@echo off

:: ---------------------------------- START --------------------------------- ::

cls
setlocal

:: ---------------------------------- MAIN ---------------------------------- ::

rem Assert administrative permissions. 
rem Source: https://stackoverflow.com/a/11995662/2922392.
net session >nul 2>&1
if not %errorLevel% equ 0 (
	echo Need administrative permissions to perform a WinSock reset.
	echo Please rerun this script by right-clicking and choosing "Run as administrator".
	pause
	exit /b 1
)

echo Performing WinSock reset...

netsh winsock reset >nul 2>&1
netsh int ipv4 reset >nul 2>&1
netsh int ipv6 reset >nul 2>&1

echo WinSock reset finished.
echo You must restart the computer in order to complete the WinSock reset.

pause

:: ----------------------------------- END ---------------------------------- ::

endlocal
goto :eof
